Subject: Re: [PATCH] refs.c: add a function to append a reflog entry to a fd

From: Jonathan Nieder <[email-masked]>
Date: Wed, 19 Nov 2014 17:42:49 -0800

Stefan Beller wrote:

> Compared to the last send of this patch[1], there was one change in the print
> function. Replaced sprintf by snprintf for security reasons.

I prefer the version that didn't change the code while we are
extracting it into a new function.  A separate patch on top can switch
it to use strbuf_addf or xstrfmt if we want that.

My two cents,
Jonathan